Dancer2::Template::Tiny(3pm)

NAME
Dancer2::Template::Tiny - Template::Tiny engine for Dancer2

VERSION
version 2.1.0

SYNOPSIS
This template engine allows you to use Template::Tiny in Dancer2.

Template::Tiny is an implementation of a subset of Template::Toolkit (the major parts) but takes much less memory and is faster. If you're only using the main functions of Template::Toolkit, you could use Template::Tiny. You can also seamlessly move back to Template::Toolkit whenever you want.

To use this engine, all you need to configure in your Dancer2's "config.yaml":

    template: "tiny"

Of course, you can also set this while working using "set":

    # code code code
    set template => 'tiny';

Since Dancer2 has internal support for a wrapper-like option with the "layout" configuration option, you can have a Template::Toolkit-like WRAPPER even though Template::Tiny doesn't really support it.

METHODS

  render($template, \%tokens)
Renders the template. The first arg is a filename for the template file or a reference to a string that contains the template. The second arg is a hashref for the tokens that you wish to pass to Template::Toolkit for rendering.

SEE ALSO
Dancer2, Dancer2::Core::Role::Template, Template::Tiny.

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.